# Get client configuration

Retrieve client-side configuration for the project

Endpoint: GET /tenants/client-config
Version: 2.0.53
Security: projectKey

## Response 200 fields (application/json):

  - `projectName` (string, required)
    The project name
    Example: My Project

  - `id` (string, required)
    The project id
    Example: ererf-erf-erf-erf

  - `stripePublishableKey` (string)
    Stripe publishable key for tenant. Used in case of stripe payment.

  - `firebaseTenantId` (string)
    Firebase tenant ID for tenant. This id is needed, if you choose to setup Firebase for user authentification for your project.

  - `infuraApiKey` (string)
    Infura API key for tenant. Used in for client interaction with web3 provider.

  - `polyScanApiKey` (string)
    PolyScan API key for tenant. Used in for client interaction with PolyScan.

  - `clientIpLocation` (object)
    Geolocation information derived from the client IP address

  - `clientIpLocation.country_code` (string)

  - `clientIpLocation.country_name` (string)

  - `clientIpLocation.region_code` (string)

  - `clientIpLocation.region_name` (string)

  - `clientIpLocation.city_name` (string)

  - `clientIpLocation.postal_code` (string)

  - `clientIpLocation.latitude` (number)
    Example: 37.7749

  - `clientIpLocation.longitude` (number)
    Example: -122.4194

  - `clientIpLocation.accuracy_radius` (number)
    Example: 5

  - `ipfsGatewayDomain` (string, required)
    IPFS Gateway Domain for resolving IPFS URIs to HTTP URLs.
    Example: pers.mypinata.cloud

  - `googleApiKey` (string)
    Google API Key for Google services integration.

